"use strict";
this.name			= "Single-Use Witchdrive Conditions Script";
this.author			= "ocz";
this.copyright		= "2015 ocz";
this.licence		= "CC BY-NC-SA 4.0";

var versionLowerThan183 = function(_version) {
	if ((_version[0] < 1) || (_version[0] == 1 && _version[1] < 83)) {
		return true;
	}
	return false;
}

this.allowAwardEquipment = function(eqKey, ship, context) {
	if (context === "purchase" && eqKey === "EQ_SUWITCHDRIVE") {
		if (player.ship.equipmentStatus("EQ_SUWITCHDRIVE") === "EQUIPMENT_DAMAGED" && !versionLowerThan183(oolite.version)) {return true;}
		return false;
	}
	if (context === "purchase" && eqKey === "EQ_SUWITCHDRIVE_REP") {  // An Oolite pre v1.83 fix to offer a repair option, even when no additional 2t free cargo space, which is needed before v1.83, is available.
		if (player.ship.equipmentStatus("EQ_SUWITCHDRIVE") === "EQUIPMENT_DAMAGED" && versionLowerThan183(oolite.version)) {
			return true;
		}
		return false;
	}
	if (context === "purchase" && eqKey === "EQ_SUWITCHDRIVEBUY" &&  !(Ship.shipDataForKey(player.ship.dataKey)["hyperspace_motor"] === "no") ) {
		return false;
	}
	return true; // In any other case, it's fine. (All other stuff is available, too.)
}